# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tatara-core"
version = "0.2.71"
authors = ["Pleme.io <engineering@pleme.io>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shared domain types, config, and cluster types for tatara"
readme = false
license = "MIT"

[lib]
name = "tatara_core"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.blake3]
version = "1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.dirs]
version = "6.0"

[dependencies.hex]
version = "0.4"

[dependencies.hostname]
version = "0.4"

[dependencies.openraft]
version = "=0.9.22"
features = [
    "serde",
    "storage-v2",
]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.shikumi]
version = "0.1"

[dependencies.thiserror]
version = "2.0"

[dependencies.toml]
version = "0.8"

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1"
features = [
    "v4",
    "serde",
]
